//
//  DropBehavior.swift
//  Dropit
//
//  Created by Admin on 7/24/16.
//  Copyright © 2016 yusup. All rights reserved.
//

import UIKit

class DropBehavior: UIDynamicBehavior
{

    let gravity = UIGravityBehavior()
    
    lazy var collider: UICollisionBehavior = {
        
        let lazilyCreatedCollider = UICollisionBehavior()
        lazilyCreatedCollider.translatesReferenceBoundsIntoBoundary = true
        return lazilyCreatedCollider
        
    }()
    
    
   lazy var dropbehavior: UIDynamicItemBehavior = {
    let lazilyCreatedDropBehavior = UIDynamicItemBehavior()
    
    lazilyCreatedDropBehavior.allowsRotation = true
    lazilyCreatedDropBehavior.elasticity=0.81
    
    return lazilyCreatedDropBehavior
        
    }()
    
    override init() {
        super.init()
        addChildBehavior(gravity)
        addChildBehavior(collider)

        addChildBehavior(dropbehavior)
    }
    
    func addDrop(drop: UIView) {
        dynamicAnimator?.referenceView?.addSubview(drop)
        gravity.addItem(drop)
        collider.addItem(drop)
        
        
        dropbehavior.addItem(drop)
        
    }
    
    func removeDrop(drop: UIView) {
        
        gravity.removeItem(drop)
        collider.removeItem(drop)
        drop.removeFromSuperview()
        
        
        
    }
}
